Debian Bug report logs - #499146
Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input

version graph

Package: nspr; Maintainer for nspr is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>;

Reported by: theOne <ftking@21cn.com>

Date: Tue, 16 Sep 2008 15:15:02 UTC

Severity: normal

Fixed in version nspr/4.7.1-4

Done: Mike Hommey <glandium@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ftking@21cn.com, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to theOne <ftking@21cn.com>:
New Bug report received and forwarded. Copy sent to ftking@21cn.com, Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: theOne <ftking@21cn.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Tue, 16 Sep 2008 23:15:10 +0800
Package: iceweasel
Version: 3.0.1
Severity: normal

It is a diskless Lenny booted from NFS: base system, xorg, Iceweasel 3.
After booting up, the system auto-login as a normal user at tty1, and
startx, and then load Iceweasel/Firefox.

Unfortunately and quite strangely, Iceweasel/Firefox 3.0.1 will not show 
up its window though we can see the process firefox-bin from top or ps
command (I remotely login into the system via ssh for investigation), 
until we move around the mouse or strike the keyboard for several times.

And after that everything works every well. Say, even after I quiting 
Iceweasel to let down X Window, I can still successfully reload Iceweasel 
using startx, no hang up.

We have tested Firefox 3.0.1 binary downloaded from official 
www.firefox.com . The same result.

Expected behavior: Iceweasel quickly shows up its window after 
system started up without any mouse or keyboard input.

It works fine if Lenny start from local FS/storage. 
The bug doesn't exist on Etch (Iceweasel/Firefox 2.0.0.16), either local 
or NFS boot.

Some important files for the startup procedure:

1. /etc/inittab
   1:2345:respawn:/sbin/mingetty --autologin debuser tty1

2. ~debuser/.bash_profile
  # swith to X Window
  if [ -z "$DISPLAY" ] && [ `tty` = /dev/tty1 ]; then
      startx
  fi

3. cat ~debuser/.xinitrc
  xterm -e top &
  firefox http://www.linuxtoday.com

4. As to the NFS boot, the tftp and NFS server run on CentOS 4.x
(Linux kernel 2.6.9). NFS exports: 
 # cat /etc/exports 
  /pxeclient/ws02  192.168.1.0/24(rw,no_root_squash,async)

#Notes, I tried the sync option for NFS server, still bad.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 499146@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: theOne <ftking@21cn.com>, 499146@bugs.debian.org
Cc: Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Tue, 16 Sep 2008 19:59:35 +0200
On Tue, Sep 16, 2008 at 11:15:10PM +0800, theOne wrote:
> Package: iceweasel
> Version: 3.0.1
> Severity: normal
> 
> It is a diskless Lenny booted from NFS: base system, xorg, Iceweasel 3.
> After booting up, the system auto-login as a normal user at tty1, and
> startx, and then load Iceweasel/Firefox.
> 
> Unfortunately and quite strangely, Iceweasel/Firefox 3.0.1 will not show 
> up its window though we can see the process firefox-bin from top or ps
> command (I remotely login into the system via ssh for investigation), 
> until we move around the mouse or strike the keyboard for several times.

Looks like something Kai Hendry (Cced) reported by mail. Try running
strace -p $(pidof firefox-bin)
My guess is that it will be stuck on a read(). There will be a number
next to this read, let's call that $i. Now, run:
ls -l /proc/$(pidof firefox-bin)/fd/$i
My guess is you'll see a symlink to /dev/random.

If that's the case, that might be an issue with nspr.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to theOne <ftking@21cn.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #15 received at 499146@bugs.debian.org (full text, mbox):

From: theOne <ftking@21cn.com>
To: Mike Hommey <mh@glandium.org>
Cc: 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Wed, 17 Sep 2008 11:14:40 +0800
Yes it is a simlink to /dev/random.  So what should I do to get around 
the issue?

debuser@debws:~$ strace -p $(pidof firefox-bin)
Process 2486 attached - interrupt to quit
read(11, ^C <unfinished ...>
Process 2486 detached
debuser@debws:~$ ls -l /proc/$(pidof firefox-bin)/fd/11
lr-x------ 1 debuser debuser 64 Sep 18 09:53 /proc/2486/fd/11 -> 
/dev/random

       theOne

Mike Hommey wrote:
> On Tue, Sep 16, 2008 at 11:15:10PM +0800, theOne wrote:
>   
>> Package: iceweasel
>> Version: 3.0.1
>> Severity: normal
>>
>> It is a diskless Lenny booted from NFS: base system, xorg, Iceweasel 3.
>> After booting up, the system auto-login as a normal user at tty1, and
>> startx, and then load Iceweasel/Firefox.
>>
>> Unfortunately and quite strangely, Iceweasel/Firefox 3.0.1 will not show 
>> up its window though we can see the process firefox-bin from top or ps
>> command (I remotely login into the system via ssh for investigation), 
>> until we move around the mouse or strike the keyboard for several times.
>>     
>
> Looks like something Kai Hendry (Cced) reported by mail. Try running
> strace -p $(pidof firefox-bin)
> My guess is that it will be stuck on a read(). There will be a number
> next to this read, let's call that $i. Now, run:
> ls -l /proc/$(pidof firefox-bin)/fd/$i
> My guess is you'll see a symlink to /dev/random.
>
> If that's the case, that might be an issue with nspr.
>
> Mike
>
>
>   




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #20 received at 499146@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: theOne <ftking@21cn.com>
Cc: 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Wed, 17 Sep 2008 07:14:59 +0200
On Wed, Sep 17, 2008 at 11:14:40AM +0800, theOne wrote:
> Yes it is a simlink to /dev/random.  So what should I do to get around  
> the issue?
>
> debuser@debws:~$ strace -p $(pidof firefox-bin)
> Process 2486 attached - interrupt to quit
> read(11, ^C <unfinished ...>
> Process 2486 detached
> debuser@debws:~$ ls -l /proc/$(pidof firefox-bin)/fd/11
> lr-x------ 1 debuser debuser 64 Sep 18 09:53 /proc/2486/fd/11 ->  
> /dev/random

Please try the following:
Get the nspr source
Patch the nsprpub/pr/src/md/unix/uxrng.c file to replace /dev/random
with /dev/urandom in the OpenDevRandom function.
Build a new package
Install it
Verify it works, now.

If you need assistance for any of these steps, please ask.

Cheers,

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to theOne <ftking@21cn.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #25 received at 499146@bugs.debian.org (full text, mbox):

From: theOne <ftking@21cn.com>
To: Mike Hommey <mh@glandium.org>
Cc: 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Thu, 18 Sep 2008 09:04:55 +0800
I've added the following lines to /etc/rc.local and it works:
# avoid /dev/random blocking
rm -f /dev/random
ln /dev/urandom /dev/random

Maybe this is the simplest solution for me :-)  Thank you, Mike!

Mike Hommey wrote:
> Please try the following:
> Get the nspr source
> Patch the nsprpub/pr/src/md/unix/uxrng.c file to replace /dev/random
> with /dev/urandom in the OpenDevRandom function.
> Build a new package
> Install it
> Verify it works, now.
>
> If you need assistance for any of these steps, please ask.
>
> Cheers,
>
> Mike
>
>
>   




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 499146@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: theOne <ftking@21cn.com>, 499146@bugs.debian.org
Cc: Mike Hommey <mh@glandium.org>, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Thu, 18 Sep 2008 01:05:26 -0400
[Message part 1 (text/plain, inline)]
* theOne (ftking@21cn.com) wrote:
> I've added the following lines to /etc/rc.local and it works:
> # avoid /dev/random blocking
> rm -f /dev/random
> ln /dev/urandom /dev/random
>
> Maybe this is the simplest solution for me :-)  Thank you, Mike!

FYI this might lead to poor random number generation for critical
things like crypto keys, which could lead to compromise, crying and
general unhappiness.

> Mike Hommey wrote:
>> Please try the following:
>> Get the nspr source
>> Patch the nsprpub/pr/src/md/unix/uxrng.c file to replace /dev/random
>> with /dev/urandom in the OpenDevRandom function.
>> Build a new package
>> Install it
>> Verify it works, now.
>>
>> If you need assistance for any of these steps, please ask.
>>
>> Cheers,
>>
>> Mike
>>
>>
>>   
>
>

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #35 received at 499146@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Eric Dorland <eric@debian.org>
Cc: theOne <ftking@21cn.com>, 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Thu, 18 Sep 2008 07:13:41 +0200
On Thu, Sep 18, 2008 at 01:05:26AM -0400, Eric Dorland wrote:
> * theOne (ftking@21cn.com) wrote:
> > I've added the following lines to /etc/rc.local and it works:
> > # avoid /dev/random blocking
> > rm -f /dev/random
> > ln /dev/urandom /dev/random
> >
> > Maybe this is the simplest solution for me :-)  Thank you, Mike!
> 
> FYI this might lead to poor random number generation for critical
> things like crypto keys, which could lead to compromise, crying and
> general unhappiness.

NSS uses its own RNG.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #40 received at 499146@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: theOne <ftking@21cn.com>, 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Thu, 18 Sep 2008 01:36:21 -0400
[Message part 1 (text/plain, inline)]
* Mike Hommey (mh@glandium.org) wrote:
> On Thu, Sep 18, 2008 at 01:05:26AM -0400, Eric Dorland wrote:
> > * theOne (ftking@21cn.com) wrote:
> > > I've added the following lines to /etc/rc.local and it works:
> > > # avoid /dev/random blocking
> > > rm -f /dev/random
> > > ln /dev/urandom /dev/random
> > >
> > > Maybe this is the simplest solution for me :-)  Thank you, Mike!
> > 
> > FYI this might lead to poor random number generation for critical
> > things like crypto keys, which could lead to compromise, crying and
> > general unhappiness.
> 
> NSS uses its own RNG.

Alright, but other things on the system use /dev/random for good
randomness, so changing this link wholesale might not be a good idea.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #45 received at 499146@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: theOne <ftking@21cn.com>
Cc: 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Thu, 18 Sep 2008 20:55:45 +0200
On Thu, Sep 18, 2008 at 09:04:55AM +0800, theOne wrote:
> I've added the following lines to /etc/rc.local and it works:
> # avoid /dev/random blocking
> rm -f /dev/random
> ln /dev/urandom /dev/random
>
> Maybe this is the simplest solution for me :-)  Thank you, Mike!

theOne and/or Kai, can you confirm that this patch[1] applied on nspr
solves the issue for you? This is what might be applied upstream. I just
hope this is the only thing provoking your problems.

Cheers

Mike

1. https://bugzilla.mozilla.org/attachment.cgi?id=339296




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. (Fri, 19 Sep 2008 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Fri, 19 Sep 2008 06:03:02 GMT) Full text and rfc822 format available.

Message #50 received at 499146@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: theOne <ftking@21cn.com>
Cc: 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Fri, 19 Sep 2008 08:00:35 +0200
On Thu, Sep 18, 2008 at 08:55:45PM +0200, Mike Hommey wrote:
> On Thu, Sep 18, 2008 at 09:04:55AM +0800, theOne wrote:
> > I've added the following lines to /etc/rc.local and it works:
> > # avoid /dev/random blocking
> > rm -f /dev/random
> > ln /dev/urandom /dev/random
> >
> > Maybe this is the simplest solution for me :-)  Thank you, Mike!
> 
> theOne and/or Kai, can you confirm that this patch[1] applied on nspr
> solves the issue for you? This is what might be applied upstream. I just
> hope this is the only thing provoking your problems.

It would also be useful to have a backtrace of when iceweasel is frozen
doing nothing to see the codepath that lead to calling
PR_GetRandomNoise.

Thanks

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. (Fri, 19 Sep 2008 14:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to theOne <ftking@21cn.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Fri, 19 Sep 2008 14:09:12 GMT) Full text and rfc822 format available.

Message #55 received at 499146@bugs.debian.org (full text, mbox):

From: theOne <ftking@21cn.com>
To: Mike Hommey <mh@glandium.org>
Cc: 499146@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Fri, 19 Sep 2008 21:55:51 +0800
Mike,

The file libnspr4-0d_4.7.1-3.1_i386.deb you built with the patch Works 
for me :-)
Many thanks for the patch!

   theOne

Mike Hommey wrote:
> On Thu, Sep 18, 2008 at 08:55:45PM +0200, Mike Hommey wrote:
>   
>> theOne and/or Kai, can you confirm that this patch[1] applied on nspr
>> solves the issue for you? This is what might be applied upstream. I just
>> hope this is the only thing provoking your problems.
>>     
>
> It would also be useful to have a backtrace of when iceweasel is frozen
> doing nothing to see the codepath that lead to calling
> PR_GetRandomNoise.
>
> Thanks
>
> Mike
>
>
>   




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#499146; Package iceweasel. (Fri, 19 Sep 2008 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Fri, 19 Sep 2008 16:57:04 GMT) Full text and rfc822 format available.

Message #60 received at 499146@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: theOne <ftking@21cn.com>, 499146@bugs.debian.org
Cc: Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#499146: Lenny@NFS: Iceweasel3 hangs on boot until mouse/keyboard input
Date: Fri, 19 Sep 2008 18:56:00 +0200
On Fri, Sep 19, 2008 at 09:55:51PM +0800, theOne wrote:
> Mike,
>
> The file libnspr4-0d_4.7.1-3.1_i386.deb you built with the patch Works  
> for me :-)
> Many thanks for the patch!

What about the backtrace with the older libnspr ? ;)

Mike




Bug reassigned from package `iceweasel' to `nspr'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Fri, 19 Sep 2008 17:21:03 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Sat, 20 Sep 2008 10:33:04 GMT) Full text and rfc822 format available.

Notification sent to theOne <ftking@21cn.com>:
Bug acknowledged by developer. (Sat, 20 Sep 2008 10:33:04 GMT) Full text and rfc822 format available.

Message #67 received at 499146-close@bugs.debian.org (full text, mbox):

From: Mike Hommey <glandium@debian.org>
To: 499146-close@bugs.debian.org
Subject: Bug#499146: fixed in nspr 4.7.1-4
Date: Sat, 20 Sep 2008 08:47:27 +0000
Source: nspr
Source-Version: 4.7.1-4

We believe that the bug you reported is fixed in the latest version of
nspr, which is due to be installed in the Debian FTP archive:

libnspr4-0d-dbg_4.7.1-4_amd64.deb
  to pool/main/n/nspr/libnspr4-0d-dbg_4.7.1-4_amd64.deb
libnspr4-0d_4.7.1-4_amd64.deb
  to pool/main/n/nspr/libnspr4-0d_4.7.1-4_amd64.deb
libnspr4-dev_4.7.1-4_amd64.deb
  to pool/main/n/nspr/libnspr4-dev_4.7.1-4_amd64.deb
nspr_4.7.1-4.diff.gz
  to pool/main/n/nspr/nspr_4.7.1-4.diff.gz
nspr_4.7.1-4.dsc
  to pool/main/n/nspr/nspr_4.7.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499146@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Hommey <glandium@debian.org> (supplier of updated nspr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Sep 2008 09:50:13 +0200
Source: nspr
Binary: libnspr4-0d libnspr4-dev libnspr4-0d-dbg
Architecture: source amd64
Version: 4.7.1-4
Distribution: unstable
Urgency: low
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Changed-By: Mike Hommey <glandium@debian.org>
Description: 
 libnspr4-0d - NetScape Portable Runtime Library
 libnspr4-0d-dbg - Development files for the NetScape Portable Runtime library
 libnspr4-dev - Development files for the NetScape Portable Runtime library
Closes: 499146
Changes: 
 nspr (4.7.1-4) unstable; urgency=low
 .
   * debian/patches/30_dev_urandom.dpath: Use /dev/urandom instead of
     /dev/random to avoid freezing at iceweasel startup when there is
     not enough entropy. Closes: #499146.
   * debian/patches/00list: Updated accordingly.
Checksums-Sha1: 
 e97771d69597f34a382fc99940136da1187eaaa7 1132 nspr_4.7.1-4.dsc
 c27f379fdd0c1225b86c7087db546e690b0c7b44 26284 nspr_4.7.1-4.diff.gz
 ee39f73d0b4dc35acfc172f283b02ba58419625e 135232 libnspr4-0d_4.7.1-4_amd64.deb
 a94d9d62f259003f7eb828b133aa9e0af65d4d5b 272674 libnspr4-dev_4.7.1-4_amd64.deb
 c011142619909f04129199cf22c97154e5a4f7af 290414 libnspr4-0d-dbg_4.7.1-4_amd64.deb
Checksums-Sha256: 
 36fa3f4ca0b3b99128c21e7bbeb1e73dab14682c93c82d94d2c8c5e131af52e1 1132 nspr_4.7.1-4.dsc
 706763030602e37513c4245bedfc48d9ba6d64c6b1b772575b9c3656cfbe41aa 26284 nspr_4.7.1-4.diff.gz
 f9ad46bd5d208a96b18af740ec1c1a5d46e13c8d13ab92cc9450e8b4225d52ab 135232 libnspr4-0d_4.7.1-4_amd64.deb
 c57e220c9ee77a29f619636011532e49558662d71ddffe1e1ab94aaf040fbfc3 272674 libnspr4-dev_4.7.1-4_amd64.deb
 7a934d4eafdc12cb476f15b9e28febf8d4dd6d192dba090d67531ac77c41a91e 290414 libnspr4-0d-dbg_4.7.1-4_amd64.deb
Files: 
 e3a81e1dae34cc05ec90394e50181e87 1132 libs optional nspr_4.7.1-4.dsc
 c8e1120f210c6271239a6746b88fb751 26284 libs optional nspr_4.7.1-4.diff.gz
 3443e62372c735e3c81c5ef8b328f1d0 135232 libs optional libnspr4-0d_4.7.1-4_amd64.deb
 e769a76112e56c600c40e5f02b51ee57 272674 libdevel optional libnspr4-dev_4.7.1-4_amd64.deb
 1611978172a51302028e39065063827f 290414 libdevel extra libnspr4-0d-dbg_4.7.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI1K2k3kvaLFT9KlgRAk0QAJ9v1rhHxYNmMeq7ZZqqEsxC0IVbPgCfRQQA
3HIKneAu8kL3bKDQwb2pQgM=
=daq/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Oct 2008 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:19:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.